{
  "name": "total-direct-energie",
  "version": "1.0.0",
  "description": "",
  "repository": {
    "type": "git",
    "url": "git@github.com:konnectors/total-direct-energie.git"
  },
  "keywords": [],
  "author": "SDE 03",
  "license": "AGPL-3.0",
  "main": "./src/index.js",
  "eslintConfig": {
    "extends": [
      "cozy-app"
    ]
  },
  "eslintIgnore": [
    "build"
  ],
  "husky": {
    "hooks": {
      "pre-commit": "yarn lint"
    }
  },
  "scripts": {
    "start": "node ./src/index.js",
    "dev": "cozy-konnector-dev",
    "standalone": "cozy-konnector-standalone",
    "pretest": "npm run clean",
    "check": "konitor check .",
    "clean": "rm -rf ./data",
    "build": "webpack",
    "lint": "eslint --fix .",
    "deploy": "git-directory-deploy --directory build/ --branch ${DEPLOY_BRANCH:-build} --repo=${DEPLOY_REPOSITORY:-$npm_package_repository_url}",
    "cozyPublish": "cozy-app-publish --token $REGISTRY_TOKEN --build-commit $(git rev-parse ${DEPLOY_BRANCH:-build})",
    "travisDeployKey": "./bin/generate_travis_deploy_key"
  },
  "dependencies": {
    "cozy-konnector-libs": "4.33.0"
  },
  "devDependencies": {
    "copy-webpack-plugin": "5.1.1",
    "cozy-app-publish": "0.22.3",
    "cozy-jobs-cli": "1.12.0",
    "eslint-config-cozy-app": "1.5.0",
    "git-directory-deploy": "1.5.1",
    "husky": "4.2.3",
    "konitor": "0.10.3",
    "svgo": "1.3.2",
    "webpack": "4.42.0",
    "webpack-cli": "3.3.11"
  }
}
